Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleSphereEmitter Class Reference

A particle emitter which emits from a spherical space. More...

`#include <IParticleSphereEmitter.h>`

Inheritance diagram for irr::scene::IParticleSphereEmitter:

List of all members.

## Public Member Functions
virtual const core::vector3df & | getCenter () const =0
| Get the center of the sphere for particle emissions.
virtual f32 | getRadius () const =0
| Get the radius of the sphere for particle emissions.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setCenter (const core::vector3df &center)=0
| Set the center of the sphere for particle emissions.
virtual void | setRadius (f32 radius)=0
| Set the radius of the sphere for particle emissions.

## Detailed Description

A particle emitter which emits from a spherical space.

Definition at line 16 of file IParticleSphereEmitter.h.

## Member Function Documentation

virtual const core::vector3df& irr::scene::IParticleSphereEmitter::getCenter | ( |  | ) | const`[pure virtual]`

Get the center of the sphere for particle emissions.

virtual f32 irr::scene::IParticleSphereEmitter::getRadius | ( |  | ) | const`[pure virtual]`

Get the radius of the sphere for particle emissions.

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleSphereEmitter::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 33 of file IParticleSphereEmitter.h.

References irr::scene::EPET_SPHERE.

virtual void irr::scene::IParticleSphereEmitter::setCenter | ( | const core::vector3df & | center | ) | `[pure virtual]`

Set the center of the sphere for particle emissions.

virtual void irr::scene::IParticleSphereEmitter::setRadius | ( | f32 | radius | ) | `[pure virtual]`

Set the radius of the sphere for particle emissions.

The documentation for this class was generated from the following file:

- IParticleSphereEmitter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)